PGP(1)

NAME
pgpgpg - wrapper around Gnu Privacy Guard that takes Pretty Good Privacy command line options

SYNOPSIS
pgpgpg [options] pgpfile

pgpgpg -e [options] file user ...

DESCRIPTION

PGPGPG is a wrapper that allows calls to GnuPG (Gnu Privacy Guard) using the command line options of .PGP (Pretty Good Privacy). PGP and GnuPG are encryption programs with high security encryption engines. However, PGP is available without a fee but is not really free software. GnuPG on the other hand is really free software and has additionally features but with a different command line syntax than PGP.

The goal of pgpgpg is to plug in a command line syntax in front of GnuPG equal to PGP 2.6.

OPTIONS
The following options are supported by pgpgpg notice that long options do not use the usual GNU syntax (--) but, instead are of the form +option[=value].

-e  Encrypt a plaintext file.

-d, -p
    Decrypt a plaintext file.

-s  Sign a plaintext file.
    pgpgpg -s file [-u userid]

-sb Create a separate signature certificate (a .sig file) for a given file.
    pgpgpg -sb file [-u userid]

-c  Use conventional cryptography when encrypting.

-o  Output to the file specified. Should only be used for encryption, decryption and signature operations (not for key management).

-a, +armor
    ASCII armor the output file.

-u, +myname
    Select the userid to use for some operations.

-kg Generate a unique public/secret pair.

-ka Add a public or secret key to your key ring.
    pgpgpg -ka keyfile [keyring]

-kx Extract a copy from your public or secret keyring.
    pgpgpg -kx[a] userid keyfile [keyring]

-kv View the contents of your keyring.
    pgpgpg -kv[v] [userid] [keyring]

-kvc
    View a key fingerprint.
    pgpgpg -kvc [userid] [keyring]

-kr Remove a key from your keyring.
    pgpgpg -kr userid [keyring]

-kd If acting on your secret key, permanently revoke a key and issue a compromise certificate. If acting on a public key, disable or reenable a key.
    pgpgpg -kd userid

-ke Edit trust parameters for a public key or edit the pass phrase or add a userid to a secret key.
    pgpgpg -ke userid [keyring]

-kc View the contents and check the certifying signatures of your public key ring.
    pgpgpg -kc [userid] [keyring]

-ks Sign and certify someone's public key.
    pgpgpg -ks userid [-u userid] [keyring]

The following options are ignored or unsupported: ++armorlines, +autosign, +bakring, +interactive, +keepbinary, +language, +legal_kludge, +nomanual, +pager, +randseed, +tmp and +tzfix.

BUGS
PGPGPG does not currently provide an online help (-h or -?) and will not show a summary of commands, as PGP does, when typing:
pgp -k

The following options are not documented (yet): +batchmode, +cert_depth, +charset, +encrypttoself, +force, +clearsig, +comment, +completes_needed, +compress, +marginals_needed, +pubring, +secring, +textmode and +verbose.

AUTHORS

PGP was originally written by Philip R. Zimmermann. PGPGPG was written by Michael Roth.

This manpage was written by Javier Fernandez-Sanguino for the Debian distribution (but may be used by others) by glancing at PGP's manpage and the source code from PGPGPG (pgpopts.c)